Skip to main content
GET
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
vehicle
Get vehicle
curl --request GET \
  --url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle \
  --header 'Authorization: Bearer <token>'
{
  "asset": {
    "id": "AT*ABC*V1000000",
    "assetProviderCountryCode": "AT",
    "assetProviderCode": "ABC",
    "blobUuid": "a79abfff-bcdb-4bd1-b999-af29fe3d9056",
    "defaultImage": "https://some.storage.website/image.png",
    "active": true
  },
  "information": {
    "vin": "0F0EAATTRBPC3CDBB",
    "vendor": "BMW",
    "model": "Zoe",
    "variant": "Long Range",
    "licensePlate": "W-53A",
    "fuelType": "DIESEL",
    "seats": 5,
    "gear": "Manual",
    "firstRegistrationDate": "2023-08-17",
    "buildYear": 2023,
    "evBatteryCapacity": 10.4,
    "iceTankCapacity": 10.4,
    "trackGeolocation": true,
    "autoLogbookType": "Business"
  },
  "status": {
    "lastUpdated": "2023-08-17T18:19:22.874Z",
    "location": {
      "lat": 123,
      "lng": 123
    },
    "isCharging": true,
    "isLocked": true,
    "windowsClosed": true,
    "doorsClosed": true,
    "engineActive": true,
    "odometer": 123,
    "reach": 123,
    "fuelLevel": 123,
    "headlightsActive": true,
    "immobilizerActive": true,
    "tirePressureFrontLeft": 123,
    "tirePressureFrontRight": 123,
    "tirePressureRearLeft": 123,
    "tirePressureRearRight": 123,
    "nextServiceDate": "2023-08-17",
    "nextServiceDistance": 123,
    "isPluggedIn": true
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicle belongs to

Required string length: 3
vehicleId
string
required

The id of the vehicle

Response

The fetched vehicle

asset
object
required
information
object
required
status
object
required